# Import IBM i Sources

Import source code from IBM i libraries into a Git repository

### Connect to IBM i

Host
User
Password
Advanced Options
objx Tool Library Library where the objx analysis tool will be installed.

### Source Libraries

0 selected
Branch:
No libraries added yet. Click "Add Libraries" to get started.

### Add Libraries

#### Options

Insert member text descriptions (`@MBRTEXT`) into imported source files

##### Source Type Mappings

Built-in mappings

Type | Extension |
--- | --- | ---

###### Custom mappings

Type | Extension |
--- | --- | ---

No custom mappings defined.

### Downloading Sources

Installing objxsrc tool...

### Review Download Results

Errors (0)
Warnings (0)

### Creating Import Task

Preparing...

## Git Connection Required

This import requires authorization for the following Git providers: